Workshop/Processes
Create workshop process
Creates a new workshop process with vehicle, customer, optional interventions and photos.
AuthorizationBearer <token>
In: header
platestring
Vehicle plate.
customer_id?number
Customer code.
km_counter?number
Current odometer value.
observations?string
General observations.
reception_date?string
Reception date in Y-m-d H:i:s format.
Format
date-timeexpected_delivery_date?string
Expected delivery date in Y-m-d H:i:s format.
Format
date-timewarehouse_id?string
Warehouse code.
signature?string
Base64-encoded signature image.
signature_holder?string
Signature holder name.
interventions?array<object>
Intervention types to associate with the process.
Response Body
curl -X POST "https://og-tenant1.test:8003/api/v2/workshop/processes" \
-H "Content-Type: application/json" \
-d '{
"plate": "string"
}'{
"data": {
"id": 0,
"plate": "string",
"km_counter": 0,
"created_at": "2019-08-24T14:15:22Z",
"process_status": {
"resource": "string"
},
"vehicle": {
"resource": "string"
},
"customer": {
"resource": "string"
}
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}